org.eclipse.mat.query

## Interface IStructuredResult

All Superinterfaces:
  IResult

All Known Subinterfaces:
  IResultTable, IResultTree

All Known Implementing Classes:
  BigDropsQuery, BundleRegistryQuery.BundleTreeResult, BundleRegistryQuery.ExtensionTreeResult, BundleRegistryQuery.ServicesTreeResult, ClassReferrersQuery.InboundClasses, ClassReferrersQuery.OutboundClasses, CompareTablesQuery.ComparisonResultTable, CompareTablesQuery.ComparisonResultTree, CompareTablesQuery.TableComparisonResult, DominatorQuery.Tree, DuplicatedClassesQuery, FindLeaksQuery.SuspectsResultTable, FindLeaksQuery2.SuspectsResultTable, HashEntriesQuery.Result, Histogram, Histogram.ClassLoaderTree, Histogram.PackageTree, Histogram.SuperclassTree, ImmediateDominatorsQuery.ResultImpl, ListResult, MultiplePath2GCRootsQuery.Tree, ObjectListResult.Inbound, ObjectListResult.Outbound, Path2GCRootsQuery.Tree, PropertyResult, RefinedStructuredResult, RefinedTable, RefinedTree, UnreachableObjectsHistogram

    public interface IStructuredResult
    extends IResult

Interface for structured results (i.e. tree and tables).

Custom queries are expected to implement `IResultTable` or `IResultTree`.

### Method Summary

All Methods Instance Methods Abstract Methods
`Column[]` `getColumns()` The columns of the tree or table.
`Object` `getColumnValue(Object row, int columnIndex)` Returns the (unformatted) value of a table/tree cell.
`IContextObject` `getContext(Object row)` The default context of the row which is used to display information in the object inspector.

### Methods inherited from interface org.eclipse.mat.query.IResult

`getResultMetaData`

### Method Detail

#### getColumns

    Column[] getColumns()

The columns of the tree or table.

Returns:
  an array of all the columns

#### getColumnValue

    Object getColumnValue(Object row,
                          int columnIndex)

Returns the (unformatted) value of a table/tree cell.

Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods
  `columnIndex` - The index of the column.
Returns:
  the cell value

#### getContext

    IContextObject getContext(Object row)

The default context of the row which is used to display information in the object inspector. Unless no context provider is given via the `ResultMetaData`, it is also used for the context menu on a row.

Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a context object holding details about that row